---
layout: docs
page_title: workers update - Command
description: >-
  The "workers update" command updates an existing worker resource.
---

# workers update

Command: `boundary workers update`

The `boundary workers update` command lets you update a Boundary worker with a given ID.

## Example

This example updates the name and description of a worker with the ID `w_1234567890`:

```shell-session
$ boundary workers update -id w_1234567890 -name "devops" -description "Worker for DevOps"
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary workers update [options] [args]
```

</CodeBlockConfig>

### Command options

- `description=<string>` - A description to set on the worker.
- `id=<string>` - The ID of the worker you want to update.
- `name=<string>` -  The name to set on the worker.
- `version=<int>` - The version of the worker to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'